<!DOCTYPE html>
<html>
<head>
	<title></title>
	<style type="text/css">
		.input_info{
			display: inline-block;
		}
	</style>
	<script type="text/javascript">
	</script>
</head>
<body>

<div class="input_info"><input type="text" name="name" value="" class="input_data"/><br /></div>

<div class="input_info sign"> + </div>

<div class="input_info"><input type="text" name="name" value="" class="input_data"/><br /></div>

<div class="input_info sign"> = </div>

<div id='result' class="input_info"> ? </div>

<div style="margin-top: 30px;"><input style="background: white; width: 200px; height: 30px;" type="submit" name="submit" value="Нажмите чтобы сложить" id="button"/></div>


<script type="text/javascript">
	var r = 0;
	var input_data = document.getElementsByClassName('input_data');
	var result = document.getElementById('result');
	var button =  document.getElementById('button');
			button.onclick=function get_result(){
				for(i=0; i<input_data.length; i++){
					r += parseInt(input_data[i].value);
				}
				result.innerHTML = r;
		}
</script>
</body>
</html>